<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>
  <groupId>com.mycompany.app</groupId>
  <artifactId>metarepo</artifactId>
  <version>1.0-SNAPSHOT</version>
  <packaging>pom</packaging>
                      
  <name>METAREPO</name>
  
  <modules>
  <module>repo1</module>
    <module>repo2</module>
  </modules>

<distributionManagement>
    <snapshotRepository>
      <id>gitlab-com</id>
      <url>https://gitlab.com/api/v4/projects/${env.CI_PROJECT_ID}/packages/maven</url>
    </snapshotRepository>
    <repository>
      <id>gitlab-com</id>
      <url>https://gitlab.com/api/v4/projects/${env.CI_PROJECT_ID}/packages/maven</url>
    </repository>
  </distributionManagement>
  <properties>
    <maven.compiler.source>1.6</maven.compiler.source>
    <maven.compiler.target>1.6</maven.compiler.target>
  </properties>
  <scm>
    <connection>scm:git:${env.CI_REPOSITORY_URL}</connection>
    <url>${env.CI_PROJECT_URL}</url>
    <developerConnection>scm:git:${env.CI_REPOSITORY_URL}</developerConnection>
    <tag>HEAD</tag>
  </scm>

</project>
